# TODO
# split the tools from main package ?
# split the doc ?
%define url_ver %(echo %{version}|cut -d. -f1,2)

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%global __provides_exclude perl\\(

Name:		bzr
Epoch:		0
Version:	2.7.0
%define subrel 1
Release:	%mkrel 1
Summary:	Next-generation distributed version control
Group:		Development/Tools
License:	GPLv2+
URL:		http://www.bazaar-vcs.org/
Source0:	https://launchpad.net/bzr/%{url_ver}/%{version}/+download/bzr-%{version}.tar.gz
Source1:	https://launchpad.net/bzr/%{url_ver}/%{version}/+download/bzr-%{version}.tar.gz.sig
Source2:	bzr-icon-64.png
# Patch from Ubuntu for MGA#21681 / https://usn.ubuntu.com/usn/usn-3411-1/
Patch1:		24_ssh_hostnames-lp1710979.patch
BuildRequires:	python-devel
BuildRequires:	python-paramiko
BuildRequires:	zlib-devel
# For building documents
BuildRequires:	python-sphinx
BuildRequires:	gettext
BuildRequires:	python-cython
Requires:	python-pycurl
Requires:	python-lzma

%description
Bazaar is a distributed revision control system. It allows team members to
branch and merge upstream code very easily.

Distributed revision control systems allow multiple people to have their
own branch of a project, and merge code efficiently between them. This
enables new contributors to immediately have access to the full tools that
previously have been limited to just the committers to a project.

%prep
%setup -q 
%patch1 -p1

sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/_patiencediff_py.py
sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/weave.py

# Remove Cython generated .c files
find . -name '*_pyx.c' -exec rm \{\} \;

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# Build documents
make docs-sphinx

%install
%{__python} setup.py install --skip-build --install-data %{_datadir} --root $RPM_BUILD_ROOT
chmod -R a+rX contrib
chmod 0644 contrib/debian/init.d
chmod 0644 contrib/bzr_ssh_path_limiter
chmod 0644 contrib/bzr_access
chmod 0755 $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/*.so

install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -m 0644 contrib/bash/bzr $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
rm contrib/bash/bzr

# This is included in %doc, remove redundancy here
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/doc/

# Use independently packaged python-elementtree instead
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/util/elementtree/

# Install documents
install -d $RPM_BUILD_ROOT/%{_docdir}/%{name}/pdf
cp -pr NEWS README TODO COPYING.txt contrib/ $RPM_BUILD_ROOT/%{_docdir}/%{name}/
cd doc
for dir in *; do
    if [ -d $dir/_build/html ]; then
        cp -R $dir/_build/html $RPM_BUILD_ROOT%{_docdir}/%{name}/$dir
        rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/$dir/.buildinfo 
        rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/$dir/_static/$dir/Makefile
        find $RPM_BUILD_ROOT%{_docdir}/%{name}/$dir -name '*.pdf' | while read pdf; do
            ln $pdf $RPM_BUILD_ROOT%{_docdir}/%{name}/pdf/
        done
    fi
done
cd ..

install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/bzr.png

%find_lang %{name}

%files  -f %{name}.lang
%doc %{_docdir}/%{name}/*
%{_bindir}/bzr
%{_datadir}/pixmaps/bzr.png
%{python_sitearch}/bzrlib/
%{python_sitearch}/*egg-info
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/bash_completion.d/bzr



%changelog
* Thu Sep 07 2017 shlomif <shlomif> 0:2.7.0-1.1.mga6
+ Revision: 1151742
- Fix for MGA#21681 .

* Fri Mar 25 2016 shlomif <shlomif> 0:2.7.0-1.mga6
+ Revision: 995405
- New version 2.7.0

* Mon Feb 01 2016 umeabot <umeabot> 0:2.6.0-12.mga6
+ Revision: 930221
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:2.6.0-11.mga5
+ Revision: 747961
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:2.6.0-10.mga5
+ Revision: 725989
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 0:2.6.0-9.mga5
+ Revision: 693545
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0:2.6.0-8.mga5
+ Revision: 678265
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Jun 20 2014 wally <wally> 0:2.6.0-7.mga5
+ Revision: 638188
- require python-lzma for XZ compressed exports

* Sat May 31 2014 pterjan <pterjan> 0:2.6.0-6.mga5
+ Revision: 628121
- Rebuild for new Python

* Sat Jan 18 2014 philippem <philippem> 0:2.6.0-5.mga4
+ Revision: 566804
- fix mga#12333 , apply correct patch for cve2013-2099

* Sun Dec 01 2013 philippem <philippem> 0:2.6.0-4.mga4
+ Revision: 554510
- change-match_hostname-to-follow-RFC-6125 (mga#11785)

* Tue Oct 22 2013 umeabot <umeabot> 0:2.6.0-3.1.mga4
+ Revision: 542482
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0:2.6.0-2.1.mga4
+ Revision: 497669
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 02 2013 dams <dams> 0:2.6.0-1.1.mga4
+ Revision: 462547
- new version 2.6.0
- remove merged patches

* Sat Jun 08 2013 philippem <philippem> 0:2.5.1-3.1.mga4
+ Revision: 440529
- fix CVE-2013-2099 (ssl.match_hostname DOS)

* Fri Jan 11 2013 umeabot <umeabot> 0:2.5.1-3.mga3
+ Revision: 347273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 0:2.5.1-2.mga3
+ Revision: 302703
- update RPM group

* Wed May 30 2012 kharec <kharec> 0:2.5.1-1.mga3
+ Revision: 250062
- new version 2.5.1

* Wed Nov 02 2011 kharec <kharec> 0:2.4.2-1.mga2
+ Revision: 161599
- New version, bugfix release.
- new version

* Sat Apr 16 2011 misc <misc> 0:2.3.1-1.mga1
+ Revision: 86163
- use more standard macros
- upgrade to 2.3.1
- remove patch, already applied upstream

* Tue Feb 01 2011 dmorgan <dmorgan> 0:2.2.3-1.mga1
+ Revision: 45785
- imported package bzr


* Sat Jan 29 2011 Crispin Boylan <crisb@mandriva.org> 0:2.2.3-1mdv2011.0
+ Revision: 633847
- New release

* Thu Dec 23 2010 Crispin Boylan <crisb@mandriva.org> 0:2.2.2-1mdv2011.0
+ Revision: 623984
- New release

* Sat Nov 13 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0:2.2.1-3mdv2011.0
+ Revision: 597031
- added fix for lp#612096 when using xmlrpclib with python-2.7

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0:2.2.1-2mdv2011.0
+ Revision: 590147
- rebuild for python 2.7

* Tue Oct 05 2010 Crispin Boylan <crisb@mandriva.org> 0:2.2.1-1mdv2011.0
+ Revision: 583072
- Fix destdir longer than base dir
- New release

* Sat Aug 07 2010 Crispin Boylan <crisb@mandriva.org> 0:2.2.0-1mdv2011.0
+ Revision: 567294
- New release

* Sun Jun 27 2010 Crispin Boylan <crisb@mandriva.org> 0:2.1.2-1mdv2011.0
+ Revision: 549204
- New release

* Thu Mar 25 2010 Crispin Boylan <crisb@mandriva.org> 0:2.1.1-1mdv2010.1
+ Revision: 527363
- New release

* Wed Feb 17 2010 Crispin Boylan <crisb@mandriva.org> 0:2.1.0-1mdv2010.1
+ Revision: 506924
- New release

* Wed Dec 30 2009 Crispin Boylan <crisb@mandriva.org> 0:2.0.3-1mdv2010.1
+ Revision: 483832
- New release

* Sun Nov 08 2009 Crispin Boylan <crisb@mandriva.org> 0:2.0.2-1mdv2010.1
+ Revision: 462857
- New release

* Sat Oct 17 2009 Crispin Boylan <crisb@mandriva.org> 0:2.0.1-1mdv2010.0
+ Revision: 457993
- New release

* Wed Sep 23 2009 Crispin Boylan <crisb@mandriva.org> 0:2.0.0-1mdv2010.0
+ Revision: 447680
- 2.0.0 final

* Tue Sep 15 2009 Crispin Boylan <crisb@mandriva.org> 0:2.0-0.1mdv2010.0
+ Revision: 442935
- 2.0 rc2
- New release

* Sun Aug 30 2009 Crispin Boylan <crisb@mandriva.org> 0:1.18-1mdv2010.0
+ Revision: 422369
- New release

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - removed buildreq for python-pyrex, as it is only needed for development

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0:1.17-1mdv2010.0
+ Revision: 398351
- Update to new version 1.17

* Thu Jun 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0:1.16-1mdv2010.0
+ Revision: 387138
- update to new version 1.16

* Wed Jun 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0:1.15.1-1mdv2010.0
+ Revision: 384891
- Update to new version 1.15.1

* Sat May 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0:1.15-1mdv2010.0
+ Revision: 379050
- Update to new version 1.15

* Sun May 03 2009 Crispin Boylan <crisb@mandriva.org> 0:1.14.1-1mdv2010.0
+ Revision: 370992
- new release

* Fri May 01 2009 Crispin Boylan <crisb@mandriva.org> 0:1.14-1mdv2010.0
+ Revision: 369521
- BuildRequires zlib
- New release
- New release

* Mon Mar 16 2009 Crispin Boylan <crisb@mandriva.org> 0:1.13-1mdv2009.1
+ Revision: 355625
- New release

* Sat Feb 14 2009 Crispin Boylan <crisb@mandriva.org> 0:1.12-1mdv2009.1
+ Revision: 340238
- New binaries
- New release

* Tue Jan 20 2009 Crispin Boylan <crisb@mandriva.org> 0:1.11-1mdv2009.1
+ Revision: 331539
- New version

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 0:1.10-4mdv2009.1
+ Revision: 318359
- rebuild for new python

* Tue Dec 09 2008 Funda Wang <fwang@mandriva.org> 0:1.10-3mdv2009.1
+ Revision: 312213
- do not obsolete bazaar

* Tue Dec 09 2008 Funda Wang <fwang@mandriva.org> 0:1.10-2mdv2009.1
+ Revision: 312081
- obsoletes bazaar

* Sat Dec 06 2008 Crispin Boylan <crisb@mandriva.org> 0:1.10-1mdv2009.1
+ Revision: 310927
- New version

* Fri Nov 07 2008 Crispin Boylan <crisb@mandriva.org> 0:1.9-1mdv2009.1
+ Revision: 300438
- Remove old sources
- New tarballs
- New version, remove obsolete requires

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0:1.7.1-1mdv2009.1
+ Revision: 291670
- Update to new version 1.7.1

* Sat Sep 06 2008 Frederik Himpe <fhimpe@mandriva.org> 0:1.6.1-1mdv2009.0
+ Revision: 281809
- Update to new version 1.6.1
- Adapt to license pocliy
- Don't package COPYING.txt and INSTALL

* Tue Aug 26 2008 Jérôme Soyer <saispo@mandriva.org> 0:1.6-1mdv2009.0
+ Revision: 276171
- New release

* Fri Jun 13 2008 Michael Scherer <misc@mandriva.org> 0:1.5-1mdv2009.0
+ Revision: 218995
- upgrade to 1.5

* Wed May 14 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 0:1.4-1mdv2009.0
+ Revision: 207320
- new version 1.4
- new source URLs

* Mon Mar 03 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 0:1.2-1mdv2008.1
+ Revision: 177971
- new version 1.2

* Thu Jan 17 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 0:1.1-2mdv2008.1
+ Revision: 154189
- added a friendlier description
- new version 1.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0:1.0-1mdv2008.1
+ Revision: 119907
- new version 1.0

* Wed Nov 14 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.92-1mdv2008.1
+ Revision: 108732
- new version 0.92

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.91-1mdv2008.1
+ Revision: 97325
- New release 0.91

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - added NEWS, INSTALL and COPYING.txt to docs

* Wed Aug 29 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.90-1mdv2008.0
+ Revision: 74860
- with the new pyrex modules, remove noarch
- new version 0.90
- now requires python-pyrex

* Mon Jul 30 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.18-2mdv2008.0
+ Revision: 56618
- removed requires for python-pyrex, only 0.19 will need it

* Tue Jul 17 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.18-1mdv2008.0
+ Revision: 52867
- new version 0.18

* Mon Jun 18 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.17-1mdv2008.0
+ Revision: 40819
- new version 0.17

* Mon May 07 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.16-1mdv2008.0
+ Revision: 24860
- upgrade to 0.16

* Sun Apr 22 2007 Michael Scherer <misc@mandriva.org> 0.15-1mdv2008.0
+ Revision: 16978
- upgrade to 0.15


* Tue Jan 23 2007 Michael Scherer <misc@mandriva.org> 0.14-1mdv2007.0
+ Revision: 112397
- 0.14

* Sat Dec 16 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.13-2mdv2007.1
+ Revision: 98193
- install bash completion

* Tue Dec 05 2006 Michael Scherer <misc@mandriva.org> 0.13-1mdv2007.1
+ Revision: 91305
- update to 0.13

* Thu Nov 30 2006 Michael Scherer <misc@mandriva.org> 0.12-2mdv2007.1
+ Revision: 89341
- rebuild for new python
- add egg-info file

* Tue Oct 31 2006 Michael Scherer <misc@mandriva.org> 0.12-1mdv2007.1
+ Revision: 74328
- update to 0.12

* Tue Oct 03 2006 Michael Scherer <misc@mandriva.org> 0.11-1mdv2007.1
+ Revision: 62806
- update to bzr 0.11
- Import bzr

* Tue Sep 05 2006 Michael Scherer <misc@mandriva.org> 0.10-1mdv2007.0
- New version 0.10
- remove patch0, include upstream
- disable test, broken by some changes in diff
- add python-paramiko, for test

* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 0.8.2-2mdv2007.0
- Rebuild

* Sat May 20 2006 Michael Scherer <misc@mandriva.org> 0.8.2-1mdk
- New release 0.8.2

* Mon May 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-1mdk
- New release 0.8
- patch patch0 (xml.py renamed xml_serializer.py in this release)
- run tests in /tmp to make tests pass on build cluster
- fix hardcoded buildroot

* Mon Jan 23 2006 Michael Scherer <misc@mandriva.org> 0.7-1mdk
- New release 0.7
- use new macro
- requires python-celementree

* Wed Dec 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.6.2-2mdk
- rebuild to sync x86_64 mackage

* Thu Nov 17 2005 Michael Scherer <misc@mandriva.org> 0.6.2-1mdk
- New release 0.6.2

* Wed Nov 09 2005 Michael Scherer <misc@mandriva.org> 0.6-1mdk
- New release 0.6

* Tue Oct 18 2005 Michael Scherer <misc@mandriva.org> 0.1.1-1mdk
- New release 0.1.1
- rediff patch0

* Sun Oct 02 2005 Michael Scherer <misc@mandriva.org> 0.0.9-1mdk
- New release 0.0.9

* Wed Sep 07 2005 Michael Scherer <misc@mandriva.org> 0.0.7-1mdk
- New release 0.0.7
- do not provides perl modules

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 0.0.6-2mdk
- add the proper requires, and remove the bundled code

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 0.0.6-1mdk
- First mandriva package

